Bug 1012828 - invisible distro trees in reserve workflow form
invisible distro trees in reserve workflow form
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.15
Unspecified Unspecified
unspecified Severity urgent (vote)
: 0.15
: ---
Assigned To: Dan Callaghan
Nick Coghlan
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 04:36 EDT by Marian Ganisin
Modified: 2013-10-02 22:29 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 22:29:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new ui (101.77 KB, image/png)
2013-09-27 04:36 EDT, Marian Ganisin
no flags Details

  None (edit)
Description Marian Ganisin 2013-09-27 04:36:40 EDT
Created attachment 803819 [details]
new ui

Description of problem:
Distro tree select element in Reserve workflow form is narrow, its rows aren't fully visible.

Look at screenshots.

It actually applies to all boxes on this form, they are all narrow to properly display the content. The new UI does not seem to be form friendly.
Comment 3 Nick Coghlan 2013-09-27 05:11:25 EDT
Indeed, the full text can be seen in the dropdown list, but the combo boxes themselves are too narrow for the content.
Comment 4 Dan Callaghan 2013-09-29 20:53:27 EDT
On Gerrit: http://gerrit.beaker-project.org/2314
Comment 6 Nick Coghlan 2013-09-30 03:52:22 EDT
Confirmed that the longest available distro name is now fully visible when selected.
Comment 8 wangjing 2013-09-30 04:02:34 EDT
verified on beaker-devel Version 0.15.0rc2(2013-9-30)-->pass

step:
1. open Reserve Workflow page
2. check the display of all the dropdown list.

Actual results:
same as expected results.

Expected results:
all the rows of dropdown list should be fully visible.
Comment 9 Nick Coghlan 2013-10-02 22:29:25 EDT
Beaker 0.15 has been released.

Note You need to log in before you can comment on or make changes to this bug.